Subject: Re: bug#49624: compilation message end-column function off-by-one bug

From: Mattias Engdegård <[email-masked]>
Date: Mon, 26 Jul 2021 21:30:53 +0200

26 juli 2021 kl. 19.06 skrev Juri Linkov <[email-masked]>:

>  my commit 9dc3a46a444a46e00ed3287a3174d73ed9511dac
> was part of efforts to add column information to grep matches,

> I added a funcall without incrementing its result by 1
> on the assumption that the function can return
> an already inclusive result that doesn't need to offset by 1.

Thank you for the thorough investigation!

> Now your commit aa5437493b1ca539409495ecdc54cf420ea110b9
> broke the highlighting of columns in grep-regexp-alist,
> so now visiting a grep match highlights an additional character
> that is not part of the grep match.

Good spotting! That one has now been fixed.

> Maybe there are more existing functions whose backward-compatibility
> is broken now.

In preparation of my change I went through lots and lots of external packages and found exactly none using a function for END-COL. This is unsurprising since the very ability to use functions for COL and END-COL wasn't documented until 2019.

Somehow I missed grep.el, but that too makes sense -- it's inside Emacs itself that the feature was most likely to be used since it was undocumented. I have now gone through the source tree once more, and there seem to be no more problems.